=== modified file 'annotate/gannotate.py'
--- annotate/gannotate.py	2007-10-14 15:33:50 +0000
+++ annotate/gannotate.py	2007-11-02 14:49:57 +0000
@@ -28,7 +28,7 @@
 from bzrlib.revision import NULL_REVISION, CURRENT_REVISION
 
 from colormap import AnnotateColorMap, AnnotateColorSaturation
-from bzrlib.plugins.gtk.logview import LogView
+from bzrlib.plugins.gtk.revisionview import RevisionView
 from bzrlib.plugins.gtk.window import Window
 
 
@@ -185,7 +185,7 @@
         if rev_id is None:
             return
         selected = self.revisions[rev_id]
-        self.logview.set_revision(selected)
+        self.revisionview.set_revision(selected)
         if (len(selected.parent_ids) != 0 and selected.parent_ids[0] not in
             self._no_back):
             enable_back = True
@@ -194,7 +194,7 @@
         self.back_button.set_sensitive(enable_back)
 
     def _create(self):
-        self.logview = self._create_log_view()
+        self.revisionview = self._create_log_view()
         self.annoview = self._create_annotate_view()
 
         vbox = gtk.VBox(False)
@@ -221,7 +221,7 @@
         
         self.pane = pane = gtk.VPaned()
         pane.add1(swbox)
-        pane.add2(self.logview)
+        pane.add2(self.revisionview)
         pane.show()
         vbox.pack_start(pane, expand=True, fill=True)
 
@@ -325,7 +325,7 @@
         return tv
 
     def _create_log_view(self):
-        lv = LogView()
+        lv = RevisionView()
         lv.show()
         return lv
 

=== modified file 'missing.py'
--- missing.py	2007-07-15 14:47:41 +0000
+++ missing.py	2007-11-02 14:49:57 +0000
@@ -25,7 +25,7 @@
 from bzrlib.config import GlobalConfig
 from bzrlib.missing import find_unmerged
 
-from logview import LogView
+from revisionview import RevisionView
 
 class MissingWindow(gtk.Dialog):
     """Displays revisions present in one branch but missing in 
@@ -44,7 +44,7 @@
         extra_revs = gtk.ScrolledWindow()
         vbox = gtk.VBox()
         for rev in revisions:
-            vbox.pack_start(LogView(rev, scroll=False), True, True)
+            vbox.pack_start(RevisionView(rev), True, True)
         extra_revs.add_with_viewport(vbox)
         extra_revs.set_policy(gtk.POLICY_NEVER, gtk.POLICY_AUTOMATIC)
         return extra_revs

=== renamed file 'logview.py' => 'revisionview.py'
--- logview.py	2007-10-30 22:34:58 +0000
+++ revisionview.py	2007-11-02 14:49:57 +0000
@@ -22,14 +22,14 @@
 
 from bzrlib.osutils import format_date
 
-class LogView(gtk.Notebook):
+class RevisionView(gtk.Notebook):
     """ Custom widget for commit log details.
 
     A variety of bzr tools may need to implement such a thing. This is a
     start.
     """
 
-    def __init__(self, revision=None, scroll=True, tags=[],
+    def __init__(self, revision=None, tags=[],
                  show_children=False, branch=None):
         gtk.Notebook.__init__(self)
         self.show_children = show_children

=== modified file 'tags.py'
--- tags.py	2007-10-14 15:33:50 +0000
+++ tags.py	2007-11-02 14:49:57 +0000
@@ -23,7 +23,7 @@
 
 import gtk
 
-from bzrlib.plugins.gtk.logview import LogView
+from bzrlib.plugins.gtk.revisionview import RevisionView
 from bzrlib.plugins.gtk.window import Window
 
 from dialog import error_dialog
@@ -47,7 +47,7 @@
         self._model = gtk.ListStore(str, str)
         self._treeview_tags = gtk.TreeView(self._model)
         self._scrolledwindow_tags = gtk.ScrolledWindow()
-        self._logview = LogView()
+        self._revisionview = RevisionView()
         self._hbox = gtk.HBox()
         self._vbox_buttons = gtk.VBox()
         self._vbox_buttons_top = gtk.VBox()
@@ -88,7 +88,7 @@
         self._vbox_buttons.pack_start(self._vbox_buttons_bottom, False, False)
         
         self._vpaned.add1(self._scrolledwindow_tags)
-        self._vpaned.add2(self._logview)
+        self._vpaned.add2(self._revisionview)
         
         self._hbox.pack_start(self._vpaned, True, True)
         self._hbox.pack_start(self._vbox_buttons, False, True)
@@ -201,12 +201,12 @@
     
     def _on_treeview_changed(self, *args):
         """ When a user clicks on a tag. """
-        # Refresh LogView only if there are tags available
+        # Refresh RevisionView only if there are tags available
         if not self._no_tags:
             (path, col) = self._treeview_tags.get_cursor()
             revision = self._model[path][1]
             
-            self._logview.set_revision(self.branch.repository.get_revision(revision))
+            self._revisionview.set_revision(self.branch.repository.get_revision(revision))
 
 
 class RemoveTagDialog(gtk.Dialog):

=== modified file 'viz/branchwin.py'
--- viz/branchwin.py	2007-10-31 13:22:31 +0000
+++ viz/branchwin.py	2007-11-02 14:49:57 +0000
@@ -140,14 +140,14 @@
 
     def construct_bottom(self):
         """Construct the bottom half of the window."""
-        from bzrlib.plugins.gtk.logview import LogView
-        self.logview = LogView(None, True, [], True, branch=self.branch)
+        from bzrlib.plugins.gtk.revisionview import RevisionView
+        self.revisionview = RevisionView(None, tags=[], show_children=True, branch=self.branch)
         (width, height) = self.get_size()
-        self.logview.set_size_request(width, int(height / 2.5))
-        self.logview.show()
-        self.logview.set_show_callback(self._show_clicked_cb)
-        self.logview.set_go_callback(self._go_clicked_cb)
-        return self.logview
+        self.revisionview.set_size_request(width, int(height / 2.5))
+        self.revisionview.show()
+        self.revisionview.set_show_callback(self._show_clicked_cb)
+        self.revisionview.set_go_callback(self._go_clicked_cb)
+        return self.revisionview
     
     def _treeselection_changed_cb(self, selection, *args):
         """callback for when the treeview changes."""
@@ -163,7 +163,7 @@
                 tagdict = self.branch.tags.get_reverse_tag_dict()
                 if tagdict.has_key(revision.revision_id):
                     tags = tagdict[revision.revision_id]
-            self.logview.set_revision(revision, tags, children)
+            self.revisionview.set_revision(revision, tags, children)
 
     def _back_clicked_cb(self, *args):
         """Callback for when the back button is clicked."""

